package com.jz.dmp.agent;

import java.io.Serializable;

public class DmpAgentResult implements Serializable {

	private static final long serialVersionUID = -7601078775407397787L;
	private Long id;
	private ResultCode code;
	private String message;
	private Object result;
	
	public DmpAgentResult() {
		this.setCode(ResultCode.SUCCESS);
		this.setMessage("成功！");
	}

	public DmpAgentResult(ResultCode code) {
		this.setCode(code);
		this.setMessage(code.msg());
	}

	public DmpAgentResult(ResultCode code, String message) {
		this.setCode(code);
		this.setMessage(message);
	}
	
	public DmpAgentResult(ResultCode code, Object data) {
		this.setCode(code);
		this.setMessage(code.msg());
		this.setResult(result);
	}

	public DmpAgentResult(ResultCode code, String message, Object data) {
		this.setCode(code);
		this.setMessage(message);
		this.setResult(result);
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public ResultCode getCode() {
		return code;
	}

	public void setCode(ResultCode code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getResult() {
		return result;
	}

	public void setResult(Object result) {
		this.result = result;
	}

}


