package com.jz.dmp.modules.controller.dataService.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: ApiInterfaceReq
 * @Description: api基本信息
 * @Author: Bellamy
 * @Date 2021/1/19
 * @Version 1.0
 */
@Data
@ApiModel(value = "api基本信息")
public class ApiInterfaceReq implements Serializable {

    @ApiModelProperty(value = "Api类型:对应字典表key:10004 三方，10002 数据查询",required = true)
    @NotNull(message = "Api类型不能为空")
    public String apiType;
    @ApiModelProperty(value = "传输方式:0,http 1.https",required = true)
    @NotNull(message = "传输方式不能为空")
    public Integer apiProtocl;

    @ApiModelProperty(value = "加密方式,1:MD5 2:RSA",required = true)
    @NotNull(message = "加密方式不能为空")
    public Integer signType;

    @ApiModelProperty(value = "apiKey",required = true)
    @NotNull(message = "apiKey不能为空")
    public String apiKey;

    @ApiModelProperty(value = "目标地址",required = false)
    public String targetUrl;

    @ApiModelProperty(value = "请求方式:GET POST",required = true)
    @NotNull(message="请求方式不能为空")
    public String reqType;

    @ApiModelProperty(value = "超时时间",required = true)
    @NotNull(message="超时时间不能为空")
    public Integer timeout;

    @ApiModelProperty(value = "限流类型:DAY 按天,MONTH 按月, YEAR 按年",required = true)
    @NotNull(message = "限流类型不能为空")
    public String limitType;

    @ApiModelProperty(value = "API名称",required = false)
    public String apiName;

    @ApiModelProperty(value = "限制次数",required = false)
    public Long reqFrequency;

    @ApiModelProperty(value = "api描述",required = false)
    public String apiFunction;

    @ApiModelProperty(value = "文件夹Id",required = true)
    @NotNull(message="文件夹Id不能为空")
    public Long fileId;

/*    @ApiModelProperty(value = "项目编号",required = true)
    @NotNull(message="项目编号不能为空")
    public Long projectId;*/

    @ApiModelProperty(value = "输出类型:JSON 文件流形式",required = false)
    public String outputType;

    @ApiModelProperty(value = "最大行数:",required = false)
    public Long maxRow;

    @ApiModelProperty(value = "每页返回数据数:",required = false)
    public Long pageRow;

    @ApiModelProperty(value = "请求参数:",required = false)
    public String requestParam;

    @ApiModelProperty(value = "响应参数:",required = false)
    public String responseParam;

    @ApiModelProperty(value = "固定参数:",required = false)
    public String inboxParam;

    @ApiModelProperty(value = "参数字段:",required = false)
    public String tableFields;

    @ApiModelProperty(value = "数据源id",required = false)
    public String esDataSource;

    @ApiModelProperty(value = "数据库名称",required = false)
    public String esDataBase;

    @ApiModelProperty(value = "数据表名称",required = false)
    public String esTable;



    @ApiModelProperty(value = "更新时传入api自增id",required = false)
    public Long id;
    @ApiModelProperty(value = "创建用户",hidden = true)
    public String createUser;
    @ApiModelProperty(value = "更新用户",hidden = true)
    public String updateUser;
    @ApiModelProperty(value = "状态",required = false)
    public String status;
}
