package com.jz.dmp.modules.service.sys;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.sys.bean.DmpPermissionBatch;
import com.jz.dmp.modules.controller.sys.bean.DmpPermissionDto;
import com.jz.dmp.modules.controller.sys.bean.DmpPermissionRequest;
import com.jz.dmp.modules.model.DmpPermission;
import com.jz.dmp.modules.model.DmpRole;

/**
 * 资源表服务接口
 * @author ybz
 *
 */
public interface DmpPermissionService {

	/**条件查询所有资源表
	 * @param dmpPermissionRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpPermissionDto> findList(DmpPermissionRequest dmpPermissionRequest, HttpServletRequest httpRequest)throws Exception;
	

	/**新增资源表
	 * @param dmpPermission
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpPermission> add(DmpPermission dmpPermission, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询资源表
	 * @param dmpPermissionRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpPermissionDto> findById(DmpPermissionRequest dmpPermissionRequest, HttpServletRequest httpRequest)throws Exception;

	/**修改资源表
	 * @param dmpPermission
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpPermission> edit(DmpPermission dmpPermission, HttpServletRequest httpRequest)throws Exception;

	/**主键删除资源表
	 * @param dmpPermissionRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(DmpPermissionRequest dmpPermissionRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增资源表
	 * @param dmpPermissionVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpPermissionBatch> addBatch(DmpPermissionBatch dmpPermissionBatch, HttpServletRequest httpRequest)throws Exception;


	/**  
	* @Title: findPermissionByRoles  
	* @Description: TODO(根据角色获取所有资源)  
	* @param @param dmpRoles
	* @param @return    参数  
	* @return List<DmpPermission>    返回类型  
	* @throws  
	*/ 
	public List<DmpPermission> findPermissionByRoles(List<DmpRole> dmpRoles);

	/**  
	* @Title: findAllList  
	* @Description: TODO(获取所有可用资源)  
	* @param @return    参数  
	* @return List<DmpPermission>    返回类型  
	* @throws  
	*/ 
	public List<DmpPermission> findAllList();


	/**  
	* @Title: findListByParentCode  
	* @Description: TODO(根据父编码)  
	* @param @param parentCode
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseBeanResponse<DmpPermissionDto>    返回类型  
	* @throws  
	*/ 
	public BaseBeanResponse<DmpPermissionDto> findListByParentCode(String parentCode,
			String type, HttpServletRequest httpRequest)throws Exception;
	
	/**  
	* @Title: findUserAndPremissionByParentCode  
	* @Description: TODO(根据父编码)  
	* @param @param parentCode
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseBeanResponse<DmpPermissionDto>    返回类型  
	* @throws  
	*/ 
	public BaseBeanResponse<Map<String, Object>> findUserAndPremissionByParentCode(String parentCode,
			String type, HttpServletRequest httpRequest)throws Exception;

}
